TRACE_BLOCK_SPLIT(9)

NAME
trace_block_split - split a single bio struct into two bio structs

SYNOPSIS

void trace_block_split(struct request_queue * q, struct bio * bio, unsigned int new_sector);

ARGUMENTS

q
    queue containing the bio

bio
    block operation being split

new_sector
    The starting sector for the new bio

DESCRIPTION

The bio request bio in request queue q needs to be split into two bio requests. The newly created bio request starts at new_sector. This split may be required due to hardware limitation such as operation crossing device boundaries in a RAID system.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT